Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.lib.meta
Class ClassAnnotationMetaDataFilter

    java.lang.Object
      org.apache.openjpa.lib.meta.ClassAnnotationMetaDataFilter

All Implemented Interfaces:
  MetaDataFilter

    public class ClassAnnotationMetaDataFilter

extends Object
implements MetaDataFilter

Filter that looks for classes with one of a set of annotations. See JDK 1.5 JVM spec for details on annotation bytecode:
java.sun.com/docs/books/vmspec/2nd-edition/ClassFileFormat-final-draft.pdf

Author:
  Abe White

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.openjpa.lib.meta.MetaDataFilter
`MetaDataFilter.Resource`

Constructor Summary
`ClassAnnotationMetaDataFilter(Class<?> anno)` Constructor; supply annotation to match against.
`ClassAnnotationMetaDataFilter(Class<?>[] annos)` Constructor; supply annotations to match against.

Method Summary
`Log` | `getLog()`
`boolean` | `matches(MetaDataFilter.Resource rsrc)` Return whether the given resource passes the filter.
`void` | `setLog(Log _log)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassAnnotationMetaDataFilter

    public ClassAnnotationMetaDataFilter(Class<?> anno)

  Constructor; supply annotation to match against.

### ClassAnnotationMetaDataFilter

    public ClassAnnotationMetaDataFilter(Class<?>[] annos)

  Constructor; supply annotations to match against.

Method Detail

### matches

    public boolean matches(MetaDataFilter.Resource rsrc)
                    throws IOException

  Description copied from interface: `MetaDataFilter`
  Return whether the given resource passes the filter.

  Specified by:
    `matches` in interface `MetaDataFilter`
  Throws:
    `IOException`

### getLog

    public Log getLog()

### setLog

    public void setLog(Log _log)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.